package agent

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/agent"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /agent/data/delete agent DeleteAgentData
//
// Delete data | 删除data
//
// Delete data | 删除data
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: DeleteDataReq
//
// Responses:
//  200: BaseDataInfo

func DeleteAgentDataHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.DeleteDataReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := agent.NewDeleteAgentDataLogic(r.Context(), svcCtx)
		resp, err := l.DeleteAgentData(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
